<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'mavabc',

    /*
     * Package.
     */
    'package'   => 'casestudy',

    /*
     * Modules.
     */
    'modules'   => ['casestudy', 'casestudies_category'],

    'casestudy'       => [
        'model' => [
            'model'                 => \Mavabc\Casestudy\Models\Casestudy::class,
            'table'                 => 'casestudies',
            'presenter'             => \Mavabc\Casestudy\Repositories\Presenter\CasestudyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'unit',  'slug',  'category_id',  'status',  'user_id',  'description',  'upload_folder',  'images',  'created_at',  'updated_at',  'deleted_at',  'user_type'],
            'translatables'         => [],
            'upload_folder'         => 'casestudy/casestudy',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Mavabc',
            'package'   => 'Casestudy',
            'module'    => 'Casestudy',
        ],

    ],
    'casestudies_category'       => [
        'model' => [
            'model'                 => \Mavabc\Casestudy\Models\CasestudiesCategory::class,
            'table'                 => 'casestudies_categories',
            'presenter'             => \Mavabc\Casestudy\Repositories\Presenter\CasestudiesCategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'order_id',  'name',  'slug',  'status',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'casestudy/casestudies_category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Mavabc',
            'package'   => 'Casestudy',
            'module'    => 'CasestudiesCategory',
        ],

    ],
];
