<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCasestudiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: casestudies
         */
        Schema::create('casestudies', function ($table) {
            $table->increments('id');
            $table->text('name')->nullable();
            $table->string('unit', 250)->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('category_id')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('description')->nullable();
            $table->text('upload_folder')->nullable();
            $table->text('images')->nullable();
            $table->string('user_type', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('casestudies');
    }
}
