<?php

namespace Mavabc\Casestudy\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Casestudy policy
        'Mavabc\Casestudy\Models\Casestudy' => \Mavabc\Casestudy\Policies\CasestudyPolicy::class,// Bind CasestudiesCategory policy
        'Mavabc\Casestudy\Models\CasestudiesCategory' => \Mavabc\Casestudy\Policies\CasestudiesCategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
